Bug 214244 - net-p2p/sonarr: libgdiplus requirement not needed (anymore?)
Summary: net-p2p/sonarr: libgdiplus requirement not needed (anymore?)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Mark Felder
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-11-05 15:22 UTC by Andrej Ebert
Modified: 2017-04-09 10:09 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (feld)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrej Ebert 2016-11-05 15:22:28 UTC
After struggling to build x11-toolkits/libgdiplus (bug #213973) I finally succeeded, but I think it isn't needed , since sonarr version 2.0.0.4326 ran fine with mono 4.6.1 before installing libgdiplus and 2.0.0.4374 runs fine with mono 4.6.1 on my system after force-removing the automatically pulled in libgdiplus package. I didn't test 2.0.0.4370 though. 

uname -a:

FreeBSD 199-SERVER 11.0-STABLE FreeBSD 11.0-STABLE #3 r308338: Sat Nov  5 14:00:11 CET 2016     root@199-SERVER:/usr/obj/usr/src/sys/MASK  amd64

Here's some info from the sonarr webinterface:

About

Version
2.0.0.4374
Mono Version
4.6.1 (Stable 4.6.1.5/ef43c15 Sat Nov 5 10:14:47 UTC 2016)

And:

~# mono -V
Mono JIT compiler version 4.6.1 (Stable 4.6.1.5/ef43c15 Sat Nov  5 10:14:47 UTC 2016)
Copyright (C) 2002-2014 Novell, Inc, Xamarin Inc and Contributors. www.mono-project.com
        TLS:           __thread
        SIGSEGV:       altstack
        Notification:  kqueue
        Architecture:  amd64
        Disabled:      none
        Misc:          softdebug
        LLVM:          supported, not enabled.
        GC:            sgen

If somebody could confirm so it can be removed from the dependencies? it really pulls in a looot of stuff I can live without.
Comment 1 Andrej Ebert 2016-11-05 19:41:51 UTC
Sorry for the noise, it really does crash when running maintenance tasks (series refresh, etc), didn't notice it the first few hours. Maybe upstream (https://github.com/Sonarr/Sonarr/issues/1529, https://forums.sonarr.tv/t/sonarr-on-linux-now-crashing-after-a-few-secs/12254) will do something about it.
Comment 2 Andrej Ebert 2016-11-07 08:41:01 UTC
As of master v2.0.0.4389 sonarr has an additional check for the presence of libgdiplus and no longer crashes when it's not there. So the libgdiplus dependency can be made optional (maybe with a hint, that cairo needs to be built with X11 support to build libgdiplus successfully at the moment). It's needed for image resizing.


Please see https://github.com/Sonarr/Sonarr/issues/1529 and https://github.com/Sonarr/Sonarr/commit/b093be3f4e16ebd2dcbb286f57aca4ec74be0b6f
Comment 3 commit-hook freebsd_committer 2016-11-12 19:13:46 UTC
A commit references this bug:

Author: feld
Date: Sat Nov 12 19:13:08 UTC 2016
New revision: 425985
URL: https://svnweb.freebsd.org/changeset/ports/425985

Log:
  net-p2p/sonarr: Make X11 optional

  X11 dependencies were added to resolve a crashing issue in newer
  versions of sonarr. This has been resolved upstream and is now optional.
  The role of X11 (libgdiplus) is to enable image file resizing.

  PR:		214244

Changes:
  head/net-p2p/sonarr/Makefile
Comment 4 Andrej Ebert 2017-04-09 10:09:10 UTC
X11 in libgdiplus is now optional (see #213973) so it can now be added as a standard dependency again without the need to have cairo or anything else built with X11.